Get By Id

Get By Id
Fetch action secret

Retrieves action secret by given id

Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/abx/api/resources/action-secrets/{id}
COPY
Path Parameters
string
id
Required

ID of the action secret


Authentication
This operation uses the following authentication methods.
Responses
200

Action secret found

Returns ActionSecret of type(s) */*
{
    "id": "string",
    "name": "string",
    "createdMillis": 0,
    "orgId": "string",
    "value": {},
    "encrypted": false
}

404

Action secret not found

Returns ActionSecret of type(s) */*
{
    "id": "string",
    "name": "string",
    "createdMillis": 0,
    "orgId": "string",
    "value": {},
    "encrypted": false
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/abx/api/resources/action-secrets/{id}